.header {
  background: #1d2028;
  display: flex;
  position: sticky;
  top: 0;
  z-index: 2;
  .form-select {
    display: block;
    width: 100%;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: white;
    background-color: #1d2028;
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 1rem 0.75rem;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
  }
  .custom-select {
    width: 5rem;
    border: none;
    color: white;
    box-shadow: none;
  }
  .language {
    margin-right: 0.625rem;
    select {
      color: white !important;
    }
  }
  .select {
    margin-right: 1.875rem;
  }
  .link:hover {
    color: #ec00b8;
  }
  .logo {
    cursor: pointer;
    background: linear-gradient(230.61deg, #ff00c7 10.39%, #7b4dff 85.1%),
      #ff6d3a;
    min-width: 13.725rem;
    padding-left: 0.75rem;
    height: 4.5rem;
    justify-content: center;
    display: flex;
    align-items: center;
    .name {
      display: flex;
      margin-bottom: 0.625rem;
      .text {
        margin: 0 0.75rem;
        font-family: Titillium Web;
        font-style: normal;
        font-weight: bold;
        font-size: 1.375rem;
        line-height: 2.125rem;
        letter-spacing: 0.01em;
        color: #ffffff;
      }
    }
  }
  .dropdown-area {
    padding-left: 0.625rem;
    border: 1px solid white;
    width: 100%;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: white;
    background-color: #1d2028;
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 1rem 0.75rem;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
  }
  .dropdown:hover .dropdown-menu {
    display: block;
    margin-top: 0;
  }
  .left_menu {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 2.375rem;
    .space {
      color: #6b6b6b;
      margin-right: 1.875rem;
      margin-left: 1.125rem;
    }
  }
  .right_menu {
    display: flex;
    justify-content: center;
    align-items: center;
    .login {
      margin-right: 2.375rem;
    }
    .button {
      margin-right: 1.875rem;
      width: 9.375rem;
      height: 2.5rem;
      background: #ec00b8;
      border: none;
      .btn_text {
        text-decoration: none;
        text-transform: uppercase;
        font-family: Kanit;
        font-style: normal;
        font-weight: bold;
        font-size: 1rem;
        line-height: 1.5rem;
        display: flex;
        align-items: center;
        justify-content: center;
        letter-spacing: 0.03em;
        color: #ffffff;
      }
    }
  }
  .text {
    text-decoration: none;
    text-transform: capitalize;
    cursor: pointer;
    font-family: Kanit;
    font-style: normal;
    font-weight: normal;
    font-size: 1.125rem;
    line-height: 1.675rem;
    color: #d8e2ea;
  }
}

@media only screen and (max-width: 1200px) {
  .left_menu {
    display: none !important;
  }
  .logo {
    display: none !important;
  }
  .fa {
    display: flex !important;
  }
}

@media only screen and (max-width: 768px) {
  .left_menu {
    display: none !important;
  }
  .button {
    width: 10rem !important;
  }

  .address {
    .info {
      .pc {
        display: none;
      }
      .mobile {
        display: inline !important;
      }
    }
  }
}

.loading {
  padding: 1em;
}

::ng-deep aside {
  background-color: #fff;
  padding: 2em 1em;
}

.demo-header {
  align-items: center;
  background: #0273d4;
  color: #fff;
  display: flex;
  padding: 1em;
}

.demo-header__toggle {
  background: transparent;
  border: 0.15rem solid #fff;
  border-left: 0;
  border-right: 0;
  cursor: pointer;
  font-size: 0;
  height: 1.5rem;
  margin-right: 1rem;
  position: relative;
  width: 2rem;
}
.demo-header__toggle:after {
  background: #fff;
  content: '';
  height: 0.15rem;
  left: 0;
  margin-top: -0.075rem;
  position: absolute;
  top: 50%;
  width: 100%;
}

.demo-sidebar.ng-sidebar--opened.ng-sidebar--over {
  box-shadow: 0 0 2.5em rgba(85, 85, 85, 0.5);
}

.demo-contents {
  padding: 0 2em;
}

.demo-control {
  background-color: #f6f6f6;
  border: 1px solid #545555;
  cursor: pointer;
  margin-bottom: 0.5em;
  padding: 0.5em 2em;
  transition: background-color 0.15s;
}
.demo-control:hover {
  background-color: #545555;
  color: #fff;
}

.fa {
  display: none;
  margin: 10px;
  color: white;
  width: 3.125rem;
  height: 3.125rem;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  border: 1px solid whitesmoke;
}

.line-bot {
  background: #1d2028;
  .line-gra {
    height: 1px;
    background: linear-gradient(
      90deg,
      rgba(65, 221, 255, 0) -0.03%,
      #41ddff 32.79%,
      #41ddff 59.88%,
      rgba(65, 221, 255, 0) 100%
    );
    opacity: 0.5;
  }
}

.address {
  position: sticky;
  top: 0;
  z-index: 2;
  height: 3.125rem;
  background: #303645;
  display: flex;
  align-items: center;
  justify-content: center;
  .close {
    position: absolute;
    cursor: pointer;
    color: white;
    right: 2.4rem;
  }
  .info {
    .verified {
      width: 1.125rem;
      height: 1.25rem;
      margin-right: 0.25rem;
    }
    .contract {
      text-transform: capitalize;
      font-family: Kanit;
      font-style: normal;
      font-weight: 500;
      font-size: 1rem;
      line-height: 2.125rem;
      letter-spacing: 0.03em;
      margin-right: 1.5rem;
      color: #FF36D3;
    }
    .wol_address {
      font-family: Kanit;
      font-style: normal;
      font-weight: 600;
      font-size: 1.0625rem;
      line-height: 2.125rem;
      letter-spacing: 0.03em;
      color: #00E8B0;
      width: 35rem;
      white-space: nowrap;
      overflow: hidden !important;
      text-overflow: ellipsis;
    }
    .pc {
    }
    .mobile {
      display: none;
    }
    .copy {
      background: #303645;
      text-transform: capitalize;
      margin-left: 1.5rem;
      border: 1px solid #FF36D3;
      box-sizing: border-box;
      border-radius: 4px;
      letter-spacing: 0.03em;
      color: #ff36d3;
      text-align: center;
      font-family: Kanit;
      font-style: normal;
      font-weight: 500;
      font-size: 0.9375rem;
      line-height: 1.5rem;
      letter-spacing: 0.03em;
    }
  }
}
